Bug 444094 - Review Request: fedora-legacy-backgrounds - Desktop backgrounds for older releases of Fedora
Review Request: fedora-legacy-backgrounds - Desktop backgrounds for older rel...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-04-24 18:33 EDT by Mathieu Bridon
Modified: 2008-04-28 09:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 20:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
notting: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Mathieu Bridon 2008-04-24 18:33:18 EDT
Spec URL: http://fedora.c-bien.fr/fedora-legacy-backgrounds.spec
SRPM URL: http://fedora.c-bien.fr/fedora-legacy-backgrounds-9.0-0.1.src.rpm
Description:
The fedora-legacy-backgrounds package contains artwork intended to be used as
desktop wallpapers that were created for older releases of
Fedora and Fedora Core.

----

I was feeling a bit nostalgic after installing Fedora 9 preview and wanted to install the Infinity wallpaper (really loved this one). And then I thought a package with all previous wallpapers would be great :)

Some remarks:
1. This is not my first submission, but the two I made previously are not yet accepted. So this is like if it was my first submission.

2. I couldn't find the background for FC1. Someone told me (but wasn't sure) that it was a solid black background. Is that true? If yes, I won't need to add it to the package.

3. The backgrounds for FC2 and FC3 look *really* similar. Were they the same? (I started using Fedora with the FC5, so I don't know older releases). If yes, I'll take one of the two out of the package.

4. I could find more than one background (default, wide, etc...) for some release, but not for others. Is there a place where I could find them? (like somewhere on the Artwork Team page)

5. I named the backgrounds with the name of the theme FC5 to F8 (Bubbles, DNA, Flying High and Infinity, correct me if I'm wrong on one of them) but I couldn't find the names of the themes for earlier releases, so I named them with the name of the release (Tettnang, Heidelberg and Stentz). I think it would be better to be more consistent, does anybody know the name of the earlier themes?

6. I used 9.0 for %{version} as the package is made for Fedora 9 (might conflict with already installed themes for earlier releases). I thought it would be a good idea to have the %{version} follow the version of Fedora. Should I change that?

7. Finally, rpmlint complains because there is no documentation. I saw that the package desktop-backgrounds-basic from the F8 repositories do not have documentation either, so I didn't bother with it. Should I?
Comment 1 Bill Nottingham 2008-04-24 20:37:30 EDT
I'm sorry to say that this package isn't acceptable as-is.

All instances of the Fedora logo (both the stylized F, and the text) must only
appear in the fedora-logos package. This is for trademark reasons (and allows
others to easily rebrand their derivative distribution, if they so desire.)

As such, the DNA & FlyingHigh backgrounds can't be shipped as they are here. If
the logos are removed (admittedly problematic for the DNA backgrounds), then
it's OK - feel free to reopen this in that case.

Yes, this is one reason why the later artwork doesn't have the logo in it. Sorry.
Comment 2 Mathieu Bridon 2008-04-25 04:37:39 EDT
I'd like to understand what the problem is...

> "This is for trademark reasons"
But the trademark applies to the fedora-logos package too right? So what's the
problem with this specific package?

> "(and allows others to easily rebrand their derivative distribution, if they
so desire.)"
If others want to rebrand their derivative distribution, they will have to
exclude the fedora-logos package. Why couldn't they also exclude this one?

I'm totally ready to give that package to someone at Red Hat if that can help
(as Red Hat is the logos and trademark owner, not sure it can make any
difference though), but I think it would be great to have all those nice pieces
of artwork as they represent Fedora's history.
Comment 3 Rahul Sundaram 2008-04-28 09:21:20 EDT
Fedora branding shouldn't be spread across multiple packages. A lot of work has
went into the last couple of releases for consolidating all the branding in a
single fedora-logos package. More details at 

http://fedoraproject.org/wiki/Releases/FeatureGenericLogos

Introducing new packages with the logos would make rebranding more difficult and
negate the work already done. What you should do is probably post to fedora-art
list and get non branded backgrounds from previous releases and then package it. 

Note You need to log in before you can comment on or make changes to this bug.